{% extends 'base.html' %}

{% block content %}

<section class="section">
    <h5 class="section-title">Список конфигов</h5>

    <div class="btn-group configs-filter" role="group">
      <a href="/admin-panel/dashboard/configs?filter=all" {% if active_filter == 'all' %} class="btn btn-dark" {% else %} class="btn btn-primary" {% endif %}>Все</a>
      <a href="/admin-panel/dashboard/configs?filter=free" {% if active_filter == 'free' %} class="btn btn-dark" {% else %} class="btn btn-primary" {% endif %}>Свободные</a>
      <a href="/admin-panel/dashboard/configs?filter=used" {% if active_filter == 'used' %} class="btn btn-dark" {% else %} class="btn btn-primary" {% endif %}>Занятые</a>
    </div>

    <table class="table">
        <thead>
            <tr>
            <th scope="col">ID</th>
            <th scope="col">User ID</th>
            <th scope="col">Название</th>
            <th scope="col">Описание</th>
            <th scope="col">Инструмент</th>
            <th scope="col">PIN</th>
            <th scope="col">Активен</th>
            <th scope="col"></th>
            <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% for i in configs %}
              <tr>
                <th scope="row">{{ i["id"] }}</th>
                <td>{{ i["user_id"] }}</td>
                <td>{{ i["title"] }}</td>
                <td>{{ i["descr"] }}</td>
                <td>{{ i["tool"] }}</td>
                <td>{{ i["pin"] }}</td>
                <td>{{ i["is_active"] }}</td>
                <td><a href="/admin-panel/dashboard/configs/update/{{ i['id'] }}" target="_blank" class="btn btn-primary">Редактировать</a></td>
                <td><a href="#" id="delete-config" data-id="{{ i['id'] }}" class="btn btn-danger">Удалить</a></td>
              </tr>
            {% endfor %}
        </tbody>
    </table>
</section>

<section class="section">
    <h5 class="section-title">Добавить конфиг</h5>
    <form id="add-config">
        <div class="mb-3">
          <label for="title" class="form-label">Название</label>
          <input type="text" name="title" class="form-control" id="title" required>
        </div>
        <div class="mb-3">
          <label for="descr" class="form-label">Описание</label>
          <textarea class="form-control" name="descr" id="descr" rows="3" required></textarea>
        </div>
        <div class="mb-3">
          <label for="tool" class="form-label">Инструмент</label>
          <input type="text" name="tool" class="form-control" id="tool" required>
        </div>
        <div class="mb-3">
          <label for="pin" class="form-label">PIN-код</label>
          <input type="number" class="form-control" name="pin" id="pin" required>
        </div>
        <button type="submit" class="btn btn-primary">Добавить</button>
        <div class="form-error"></div>
        <div class="form-success"></div>
      </form>
</section>

{% endblock %}